/// <reference types="jquery" />
/// <reference types="jstree" />
import OncoprintModel from './oncoprintmodel';
export default class OncoprintLegendView {
    private $div;
    private base_width;
    private base_height;
    private $svg;
    private rendering_suppressed;
    private width;
    private rule_set_label_config;
    private rule_label_config;
    private padding_after_rule_set_label;
    private padding_between_rules;
    private padding_between_rule_set_rows;
    constructor($div: JQuery, base_width: number, base_height: number);
    private renderLegend;
    private ruleToSVGGroup;
    setWidth(w: number, model: OncoprintModel): void;
    removeTrack(model: OncoprintModel): void;
    addTracks(model: OncoprintModel): void;
    setTrackData(model: OncoprintModel): void;
    setTrackImportantIds(model: OncoprintModel): void;
    shareRuleSet(model: OncoprintModel): void;
    setRuleSet(model: OncoprintModel): void;
    setTrackGroupLegendOrder(model: OncoprintModel): void;
    hideTrackLegends(model: OncoprintModel): void;
    showTrackLegends(model: OncoprintModel): void;
    suppressRendering(): void;
    releaseRendering(model: OncoprintModel): void;
    toSVGGroup(model: OncoprintModel, offset_x: number, offset_y: number): SVGGElement;
}
