/// <reference types="jquery" />
/// <reference types="jstree" />
import OncoprintToolTip from './oncoprinttooltip';
import OncoprintModel from './oncoprintmodel';
export default class OncoprintTrackInfoView {
    private $div;
    private tooltip;
    private $ctr;
    private $text_ctr;
    private base_font_size;
    private font_family;
    private font_weight;
    private width;
    private $label_elts;
    private rendering_suppressed;
    private minimum_track_height;
    constructor($div: JQuery, tooltip: OncoprintToolTip);
    private destroyLabelElts;
    private renderAllInfo;
    private scroll;
    private resize;
    getFontSize(): number;
    getWidth(): number;
    addTracks(model: OncoprintModel, getCellViewHeight: () => number): void;
    moveTrack(model: OncoprintModel, getCellViewHeight: () => number): void;
    setTrackGroupOrder(model: OncoprintModel, getCellViewHeight: () => number): void;
    removeTrack(model: OncoprintModel, getCellViewHeight: () => number): void;
    setTrackInfo(model: OncoprintModel, getCellViewHeight: () => number): void;
    setTrackGroupHeader(model: OncoprintModel, getCellViewHeight: () => number): void;
    setScroll(model: OncoprintModel): void;
    setHorzScroll(model: OncoprintModel): void;
    setVertScroll(model: OncoprintModel): void;
    setZoom(model: OncoprintModel, getCellViewHeight: () => number): void;
    setViewport(model: OncoprintModel, getCellViewHeight: () => number): void;
    setVertZoom(model: OncoprintModel, getCellViewHeight: () => number): void;
    suppressRendering(): void;
    releaseRendering(model: OncoprintModel, getCellViewHeight: () => number): void;
    destroy(): void;
    toSVGGroup(model: OncoprintModel, offset_x: number, offset_y: number): SVGGElement;
}
