import { ComputedShapeParams } from './oncoprintshape';
import { RGBAColor } from './oncoprintruleset';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare function cloneShallow<T extends Object>(obj: T): T;
export declare function extendArray(target: any[], source: any[]): void;
export declare function doesCellIntersectPixel(cellHitzone: [number, number], pixelX: number): boolean;
export declare function ifndef<T>(x: T | undefined, val: T): T;
export declare function shallowExtend<T extends Object, S extends Object>(target: T, source: S): T & S;
export declare function objectValues<T extends Object>(obj: T): T[keyof T][];
export declare function arrayFindIndex<T>(arr: T[], predicate: (t: T) => boolean, start_index?: number): number;
export declare function sgndiff(a: number, b: number): 0 | 1 | -1;
export declare function clamp(x: number, lower: number, upper: number): number;
export declare function z_comparator(shapeA: ComputedShapeParams, shapeB: ComputedShapeParams): 0 | 1 | -1;
export declare function fastParseInt10(x: string, substringStart?: number, substringEnd?: number): number;
export declare function fastParseInt16(x: string): number;
export declare function rgbString(color: RGBAColor): string;
